org.eclipse.actf.visualization.eval

## Class EvaluationUtil

- java.lang.Object
- - org.eclipse.actf.visualization.eval.EvaluationUtil

    public class EvaluationUtil
    extends Object

Utility class for org.eclipse.actf.visualization.eval plugin

### Field Summary

Fields
`static String` `PLUGIN_ID` The plug-in ID

### Constructor Summary

Constructors
Constructor and Description
`EvaluationUtil()`

### Method Summary

Methods
`static ICheckerInfoProvider[]` `getCheckerInfoProviders()` Get all registered `ICheckerInfoProvider`
`static IChecker[]` `getCheckers()` Get all registered `IChecker`
`static boolean` `isOriginalDOM()` Check user selection of target DOM (original source or live)

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plug-in ID

See Also:
  Constant Field Values

### Constructor Detail

#### EvaluationUtil

    public EvaluationUtil()

### Method Detail

#### isOriginalDOM

    public static boolean isOriginalDOM()

Check user selection of target DOM (original source or live)

Returns:
  true, if user selected original DOM in preference page

#### getCheckers

    public static IChecker[] getCheckers()

Get all registered `IChecker`

Returns:
  array of `IChecker`

#### getCheckerInfoProviders

    public static ICheckerInfoProvider[] getCheckerInfoProviders()

Get all registered `ICheckerInfoProvider`

Returns:
  array of `ICheckerInfoProvider`